org.bouncycastle.sasn1

## Class BerSequence

- java.lang.Object
- - org.bouncycastle.sasn1.Asn1Object
  - - org.bouncycastle.sasn1.BerSequence

All Implemented Interfaces:
  Asn1Sequence

Deprecated.
use corresponsding classes in org.bouncycastle.asn1.

    public class BerSequence
    extends Asn1Object
    implements Asn1Sequence

### Field Summary

### Fields inherited from class org.bouncycastle.sasn1.Asn1Object

`_baseTag, _contentStream, _tagNumber`

### Constructor Summary

Constructors
`protected` `BerSequence(int baseTag, java.io.InputStream contentStream)` Deprecated.

### Method Summary

Methods
`Asn1Object` `readObject()` Deprecated.

### Methods inherited from class org.bouncycastle.sasn1.Asn1Object

`getRawContentStream, getTagNumber, isConstructed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BerSequence

    protected BerSequence(int baseTag,
               java.io.InputStream contentStream)

Deprecated.

### Method Detail

#### readObject

    public Asn1Object readObject()
                          throws java.io.IOException

Deprecated.

Specified by:
  `readObject` in interface `Asn1Sequence`
Throws:
  `java.io.IOException`